function [f_out] = Agent_manp(k, N, x, f_base, a, w);

Dx = x(2)-x(1);
kappa = 10^k;

cvx_begin quiet
    variables f_manp(N,1) 
    maximize( Dx.*sum(w.*f_manp - kappa.*((abs(f_manp-f_base)).^2)) )
    subject to
        Dx.*sum(x.*f_manp) <= a;
        Dx.*sum(f_manp) == 1;
        f_manp >= 0;
cvx_end


f_out = f_manp;
